Package io.vertx.openapi.validation.transformer

## Class ParameterTransformer

- java.lang.Object
- - io.vertx.openapi.validation.transformer.ParameterTransformer

- Direct Known Subclasses:
    `FormTransformer`, `LabelTransformer`, `MatrixTransformer`, `SimpleTransformer`

      public abstract class ParameterTransformer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract String[]` | `getArrayValues​(Parameter parameter, String rawValue)` |
    `protected abstract String[]` | `getObjectKeysAndValues​(Parameter parameter, String rawValue)` |
    `Object` | `transform​(Parameter parameter, String rawValue)` | Transforms the raw value from its `String` representation into JSON.
    `Object` | `transformArray​(Parameter parameter, String rawValue)` | Like `transform(Parameter, String)`, but only for values considered to be an array.
    `Object` | `transformObject​(Parameter parameter, String rawValue)` | Like `transform(Parameter, String)`, but only for values considered to be an object.
    `Object` | `transformPrimitive​(Parameter parameter, String rawValue)` | Like `transform(Parameter, String)`, but only for values considered to be primitive.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterTransformer

          public ParameterTransformer()

  - ### Method Detail

    - #### transform

          public Object transform​(Parameter parameter,
                                  String rawValue)

      Transforms the raw value from its `String` representation into JSON. This method does not only decode a `String`, it also takes the different `styles` into account}.
      Parameters:
        `parameter` - The parameter model
        `rawValue` - The parameter value
      Returns:
        An `Object` holding the transformed value.

    - #### transformPrimitive

          public Object transformPrimitive​(Parameter parameter,
                                           String rawValue)

      Like `transform(Parameter, String)`, but only for values considered to be primitive.
      Parameters:
        `parameter` - The parameter model
        `rawValue` - The parameter value
      Returns:
        An `Object` holding the transformed value.

    - #### getArrayValues

          protected abstract String[] getArrayValues​(Parameter parameter,
                                                     String rawValue)

    - #### transformArray

          public Object transformArray​(Parameter parameter,
                                       String rawValue)

      Like `transform(Parameter, String)`, but only for values considered to be an array.
      Parameters:
        `parameter` - The parameter model
        `rawValue` - The parameter value
      Returns:
        An `Object` holding the transformed value.

    - #### getObjectKeysAndValues

          protected abstract String[] getObjectKeysAndValues​(Parameter parameter,
                                                             String rawValue)

    - #### transformObject

          public Object transformObject​(Parameter parameter,
                                        String rawValue)

      Like `transform(Parameter, String)`, but only for values considered to be an object.
      Parameters:
        `parameter` - The parameter model
        `rawValue` - The parameter value
      Returns:
        An `Object` holding the transformed value.